/*==============================================*/
/*  RandomInts.c - How to use random numbers    */
/*  Author:  Bary W Pollack                     */
/*  Updated: Feb. 22, 2004                      */
/*==============================================*/

#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main (void)
{
    int i, nRange, nSeed, nCount;

    printf ("\n");
    printf ("Demonstrate use of rand() and srand()\n");
    printf ("=====================================\n\n");

    while (1)
    {
        printf ("How many numbers ( <= 0 to quit): ");
        scanf ("%d", &nCount);
        if (nCount <= 0)
            break;
        printf ("Seed?  Use -1 to indicate \"random\": ");
        scanf ("%d", &nSeed);
        printf ("Range (an int in 2..MAXINT): ");
        scanf ("%d", &nRange);
        if (nSeed >= 0)
            srand ((unsigned) nSeed);
        else
            srand ((unsigned) time (NULL));
        for (i = 0; i < nCount; i++)
            printf (" %d", rand () % nRange);
        printf ("\n\n");
    }

    printf ("\n");
    return 0;
}

/*==============================================*/
